.killScroll {
    overflow: hidden;
}

.modalBackground {
    display: none;
    z-index: 999;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ffffff;
    opacity: .7;
}

.modal {
    display: none;
    z-index: 10000;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    opacity: 1;
    justify-content: center;
    align-items: center;
    overflow-y: scroll;

}

.modalWrapper{
    overflow-y: auto;
    background-color: #243D95;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 99;
}

.modalContent {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 6rem 0;
}


.modalButton {
    text-decoration: none;
    cursor: pointer;
}

.modalHeader {
    display: flex;
    position: relative;
    width: 100%;
    top: 0;
    justify-content: center;
}

.modal .modalTitle {
    /* font-family: "Fira Sans Extra Condensed", Helvetica, Verdana, sans-serif; */
    font-weight: 700;
    /* font-style: italic; */
    color: #FFFFFF;
    /* padding: 1rem 2rem; */
    text-align: center;
    font-size: 3.5rem;
    font-weight: 700;
    width: 100%;
    line-height: 1.5;
}

.modalBody {
    /* margin: 1rem; */
    font-size: 1.25rem;
    /* font-weight: 700; */
    max-width: 100%;
    margin-bottom: 0;
    line-height: 1.5;
}

.modalCloseButton {
    border: none;
    background: none;
    /* padding-right: 1rem; */
    align-self: start;
    position: absolute;
    top: 0;
    align-self: flex-end;
    z-index: 999;
    color: #ffffff;
    font-size: 2rem;
    right: 1.5rem;
    /* width: 50px; */
    padding: 1rem;
    /* height: 50px; */
    transform: scaleX(-1.25);
}

.modalCTA {
    display: flex;
    /* align-items: stretch; */
    justify-content: center;
    /* flex-direction: column; */
    align-content: center;
}
.modalCTA a {
    margin-bottom: 1rem;
}
.modalCTA i {
    margin-left: 1rem;
}

a.modalCancel,
a.modalConfirm {
    /* text-align: center; */
    /* width: 15.5rem; */
    /* margin: 1rem; */
    /* font-size: 1.4rem; */
    /* font-family: "Druk Web", Impact, Arial Black, sans-serif; */
    /* font-weight: 700; */
    /* padding: .6rem 0; */
    margin-top: 1rem;
}

.modalConfirm:hover {
    background-color: #4a7e66;
}

.modalCancel:hover {
    background-color: #5c5b5b;
}

.modalContent {
    /* max-width: 87%; */
    top: 10rem;
    /* bottom: 0; */
    right: 0;
    left: 0;
    padding: 0 2.4rem 3rem;
    position: absolute;
}

#leavingSiteModal .modalCTA {
    margin-top: 2rem;
    width: 75%;
}

.modal .modalTitle {
    font-size: 1.45rem;
    /* padding: 1rem .5rem .5rem; */
    width: auto;
    line-height: 2.1rem;
    letter-spacing: .11rem;
}

.modal p {
    margin: 1rem 0;
    text-align: center;
    line-height: 1.13;
    font-size: 1rem;
}


.modalCloseButton {
    /* top: 1rem; */
    font-size: 2.5rem;
}


.modalDisclaimer {
    font-size: 1rem;
    text-align: center;
    margin-top: 2rem;
}

/* =================================================================================== //
                                                          d8b                   
                                                          Y8P                   
                                                                                
88888b.d88b.            .d88888 888  888  .d88b.  888d888 888  .d88b.  .d8888b  
888 "888 "88b          d88" 888 888  888 d8P  Y8b 888P"   888 d8P  Y8b 88K      
888  888  888          888  888 888  888 88888888 888     888 88888888 "Y8888b. 
888  888  888 d8b      Y88b 888 Y88b 888 Y8b.     888     888 Y8b.          X88 
888  888  888 Y8P       "Y88888  "Y88888  "Y8888  888     888  "Y8888   88888P' 
                            888                                                 
                            888                                                 
                            888
// ==================================================================================== */

@media (min-width: 768px) {
    .modal {
        -webkit-align-items: flex-start;
        -moz-align-items: flex-start;
        -ms-align-items: flex-start;
        -o-align-items: flex-start;
        align-items: flex-start;
    }


    .modalContent {
        /* max-width: 730px; */
        padding: 3rem 0;
        /* top: 10%; */
    }

    #leavingSiteModal .modalCTA {
        margin: 2rem 3rem 0;
    }

    #leavingSiteModal .modalCancel {
        order: 0;
    }

    .modalContent {
        top: 5%;
        padding: 6rem 3.6rem 3rem;
        position: relative;
    }
    .modal p {
        font-size: .75rem;
    }

 
    .modalDisclaimer {
        font-size: .9rem;
    }

    .modal .modalTitle {
        /* padding: 1rem 1rem 1.5rem; */
        margin: 0;
        /* padding: 1rem 0; */
        font-size: 1.75rem;
        line-height: 2.25rem;
    }
}

@media (min-width: 1024px) {
    .modalWrapper{
        top: 19%;
        width: 58rem;
        height: 27rem;
        left: 6rem;
    }
    .modalContent {
        /* width: 700px; */
        /* right: 12%; */
        padding: 8rem 18.5rem;
        /* top: 10%; */
    }
    .modal{
        overflow-y: auto;
    }
    .modal .modalTitle {
        font-size: 1.9rem;
        line-height: 2.5rem;
        padding: 0;
        letter-spacing: 2.5px;
    }

    #leavingSiteModal .modalContent{
        padding: 6rem 11rem;
    }
    .modal p {
        font-size: .92rem;
    }
    .modalCloseButton {
        padding: 2rem;
        font-size: 2rem;
    }
odalCTA a{
        margin-bottom: 0;
    }
    .modalCTA a:first-of-type{
        margin-right: 2rem;
    }
    .modal{
        width: 80%!important;
    }
    .modalBackground{
        background-color: rgba(36,61,149,.25);
        /* width: 20%; */
    }
}



@supports (-webkit-overflow-scrolling: touch) {

    /* CSS specific to iOS devices */
    #leavingSiteModal,
    #vitaCareModal,
    #thankYouModal {
        cursor: pointer;
        /*workaround so iOS touch outside modal closes modal*/
    }
}


#termsPrivacyModal .modalWrapper {
    background-color: #fff;
    position: fixed;
    right: 0;
    bottom: 0;
    z-index: 99;
}
@media (min-width: 1024px){
    #termsPrivacyModal .modal .modalTitle {
        font-size: 1.5rem;
        line-height: 2.5rem;
        padding: 0;
        letter-spacing: 2.5px;
    }
}

#termsPrivacyModal .modalContent {
    padding: 2rem 3rem 3rem 4rem;
}

@media (min-width: 1024px){
    #termsPrivacyModal .modalWrapper {
        top: 8%;
        width: 58rem;
        height: 40rem;
        left: 12rem;
    }
}

#termsPrivacyModal .modalCustomTitle {
    /* font-family: "Fira Sans Extra Condensed", Helvetica, Verdana, sans-serif; */
    font-weight: 700;
    margin-bottom: 20px;
    color: #2A3495;
    /* padding: 1rem 2rem; */
    text-align: center;
    font-size: 1.5rem;
    font-weight: 900;
    width: 100%;
    line-height: 1.5;
}

#termsPrivacyModal .modalCloseButton {
    border: none;
    background: none;
    /* padding-right: 1rem; */
    align-self: start;
    position: absolute;
    top: 0;
    align-self: flex-end;
    z-index: 999;
    color: #2A3495;
    font-size: 2rem;
    right: 1.5rem;
    /* width: 50px; */
    padding: 1rem;
    /* height: 50px; */
    transform: scaleX(-1.25);
}

#termsPrivacyModal .textLeft {
    text-align: left;
}

.forQuestions {
    text-align: left;
    font-size: .92rem;
    font-weight: bold;
    font-size: 1rem;
}

.forQuestions a {
    color: #FF009E;
    text-decoration: none;
    cursor: pointer;
}